Subject: Type contagion

From: Raymond Toy <[email-masked]>
Date: Thu, 06 Apr 1995 12:30:18 -0400

I have a simple question about type contagion on clisp.  According to
impnotes.txt, type contagion is not implemented as specified by CLTL.
I understand the reasons given, and they certainly make sense.

However, they also make double-float work more difficult because I
have to be much more careful about mixing single-floats and
double-floats together.

Is there any way to get type contagion to work more like CLTL?  

Forgive me if this has been asked before.  I looked through the mail
archives but didn't see anything about this.

Ray